/* eslint-disable react/prop-types */
import PropTypes from 'prop-types';
import { useState } from 'react';
import Chevronright from '@s-ui/react-icons/lib/Chevronright';
import cx from 'classnames';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";

var breadcrumbClassName = function breadcrumbClassName(_ref) {
  var isExpanded = _ref.isExpanded,
      isScrollable = _ref.isScrollable;
  return cx('sui-BreadcrumbBasic', {
    'is-expanded': isExpanded,
    'is-scrollable': isScrollable
  });
};

export default function BreadcrumbBasic(_ref2) {
  var items = _ref2.items,
      icon = _ref2.icon,
      Link = _ref2.linkFactory,
      _ref2$isScrollable = _ref2.isScrollable,
      isScrollable = _ref2$isScrollable === void 0 ? false : _ref2$isScrollable;

  var _useState = useState(false),
      isExpanded = _useState[0],
      setIsExpanded = _useState[1];

  var expandBreadcrumb = function expandBreadcrumb() {
    return setIsExpanded(true);
  };

  var IconAngle = icon || Chevronright;
  var numItems = items.length - 1;
  return /*#__PURE__*/_jsx("nav", {
    "aria-label": "breadcrumb",
    role: "navigation",
    children: /*#__PURE__*/_jsxs("div", {
      className: breadcrumbClassName({
        isExpanded: isExpanded,
        isScrollable: isScrollable
      }),
      children: [/*#__PURE__*/_jsx("button", {
        onClick: expandBreadcrumb,
        className: "sui-BreadcrumbBasic-btn",
        children: "..."
      }), /*#__PURE__*/_jsx("ul", {
        className: "sui-BreadcrumbBasic-list",
        children: items.map(function (_ref3, index) {
          var url = _ref3.url,
              label = _ref3.label;
          return /*#__PURE__*/_jsxs("li", {
            className: "sui-BreadcrumbBasic-listItem",
            children: [index !== 0 && index <= numItems && /*#__PURE__*/_jsx(IconAngle, {
              svgClass: "sui-BreadcrumbBasic-icon"
            }), url ? /*#__PURE__*/_jsx(Link, {
              to: url,
              href: url,
              className: "sui-BreadcrumbBasic-link",
              children: label
            }) : label]
          }, index);
        })
      })]
    })
  });
}
BreadcrumbBasic.displayName = 'BreadcrumbBasic';
BreadcrumbBasic.defaultProps = {
  linkFactory: function linkFactory(_ref4) {
    var to = _ref4.to,
        href = _ref4.href,
        className = _ref4.className,
        children = _ref4.children;
    return /*#__PURE__*/_jsx("a", {
      href: to || href,
      className: className,
      children: children
    });
  }
};